Body sites
This helper endpoint provides a standardized list of body site codes, which are used to specify the location of a pathology on the human body. These codes are essential for accurately defining the affected area when interacting with the /diagnosis-support and /severity-assessment/* endpoints.
GET
https://medical-device-params.legit.health/v2.0/body-sites🔓 No AuthenticationcodestringA unique identifier code for the body site (e.g., headFront, armLeft, trunkFront).
nameobjectMultilingual translations of the body site name. Contains language codes (e.g., en_GB, es_ES, pt_BR, it_IT, fr_FR, de_DE, bg_BG, pl_PL, ko_KO, ca_ES) as keys with translated names as values.
Example request
import requestsurl = "https://medical-device-params.legit.health/v2.0/body-sites"response = requests.get(url)data = response.json()print(data)
Response
[{"code": "headFront","name": {"es_ES": "Rostro y cuello","en_GB": "Face and neck","pt_BR": "Rosto e pescoço","it_IT": "Viso e collo","fr_FR": "Visage et cou","de_DE": "Gesicht und Hals","bg_BG": "Лице и шия","pl_PL": "Twarz i szyja","ko_KO": "얼굴 및 목","ca_ES": "Rostre i coll"}},{"code": "armLeft","name": {"es_ES": "Brazo izquierdo (inc. axilas)","en_GB": "Left arm","pt_BR": "Braço esquerdo (incl. axilas)","it_IT": "Braccio sinistro (incl. ascelle)","fr_FR": "Bras gauche (aisselles comprises)","de_DE": "Linker Arm (inkl. Achselhöhlen)","bg_BG": "Лява ръка (включително подмишници)","pl_PL": "Lewe ramię (łącznie z pachami)","ko_KO": "왼팔(겨드랑이 포함)","ca_ES": "Braç esquerre (incl. aixelles)"}},{"code": "trunkFront","name": {"es_ES": "Tronco (pecho y abdomen)","en_GB": "Chest and belly","pt_BR": "Tronco (peito e abdómen)","it_IT": "Tronco (petto e addome)","fr_FR": "Tronc (poitrine et abdomen)","de_DE": "Rumpf (Brust und Unterleib)","bg_BG": "Торс (гръден кош и корем)","pl_PL": "Tułów (klatka piersiowa i brzuch)","ko_KO": "몸통(흉부 및 복부)","ca_ES": "Tronc (pit i abdomen)"}},... // more body sites]